Wordpress 3.3.1 alte Themes funktionieren nicht

Dieses Thema im Forum "Design" wurde erstellt von Tomptez, 18. Januar 2012.

  1. Tomptez

    Tomptez Member

    Registriert seit:
    12. September 2011
    Beiträge:
    8
    Zustimmungen:
    0
    Hallo liebe Community, ich habe folgendes Problem:

    Ich habe vor einiger Zeit Wordpress benutzt, nun eine Weile nicht mehr, welche System das damals war weiß ich nicht, war aber erst im September. Dort hatte ich auch einige Themeanpassungen gemacht, bzW. mir ein eigenes erstellt. Mein Problem ist nun, dass keines dieser alten Themes funktioniert, ich weiß aber nicht worin das Problem besteht. Auch das Twentyeleven/Ten von damals funktioniert nicht mehr. twentyeleven war damals in der Version 1.2, in der aktuellen Wordpress version wird die Theme Version 1.3 von Twentyeleven verwendet. Was hat sich seit dem groß verändert, dass die alten nicht mehr funktionieren?. Würdet mir sehr weiterhelfen, danke.
     
  2. krakos

    krakos Active Member

    Registriert seit:
    2. August 2010
    Beiträge:
    28
    Zustimmungen:
    0
    Einfach mal die Changelogs auf der Hautpseite durchlesen.
     
  3. infected

    infected Well-Known Member

    Registriert seit:
    9. Juli 2006
    Beiträge:
    9.816
    Zustimmungen:
    0
    Vor allem: was heißt "funktioniert nicht mehr"? Eine genauere Fehlerbeschreibung könnte helfen das Problem zu lösen.
     
  4. Tomptez

    Tomptez Member

    Registriert seit:
    12. September 2011
    Beiträge:
    8
    Zustimmungen:
    0
    Dankeschön schonmal, im Changelog hab ich leider nichts passendes gefunden.

    Tut mir leid. "Funktioniert nicht mehr" heißt, dass ich es unter "themes" im Administratormenǘ" nicht finden kann und also nicht einstellen kann. Dabei geht es zum Beispiel auch um das Twentyeleven Theme der Wordpress Version 3.2.1, die jetzt, wenn sie eingefügt sind nicht angezeigt werden.
     
  5. maxe

    maxe WPDE-Team
    Mitarbeiter

    Registriert seit:
    1. Mai 2008
    Beiträge:
    18.170
    Zustimmungen:
    19
    Wie genau installierst du denn die verschiedenen Themes?
     
  6. Tomptez

    Tomptez Member

    Registriert seit:
    12. September 2011
    Beiträge:
    8
    Zustimmungen:
    0
    Zum installieren komme ich ja nicht.

    Ich lege die themes unter wp-content/themes als Ordner ab, im administrationsmenü werden sie aber nicht angezeigt, zumindest nicht die alten themes. Bei neu heruntergeladenen themes ist das was anderes.
     
  7. infected

    infected Well-Known Member

    Registriert seit:
    9. Juli 2006
    Beiträge:
    9.816
    Zustimmungen:
    0
    Wie sieht denn die Ordnerstruktur der Themes aus?
     
  8. Tomptez

    Tomptez Member

    Registriert seit:
    12. September 2011
    Beiträge:
    8
    Zustimmungen:
    0
    Ha, ich bin zumindest ein stück weitergekommen:

    Ersetze ich in der Version von twentyeleven 1.3 die 'style.css' durch die 'style.css' von der twentyeleven 1.2 kommt bei mir die Meldung:

    twentyeleven/style.css Datei nicht lesbar.

    kopiere ich den Inhalt allerdings in die andere Datei, passiert dieses Problem nicht. Irgendwas scheint mit der Formatierung falsch zu sein.

    Vielleicht fällt euch eine Lösung ein ansonsten werde ich noch ein bisschen rumprobieren, möchte allerdings nicht jede Datei neu erstellen, auch wenn das wahrscheinlich eine Möglichkeit wäre.
    Meine Vermutung ist, das Problem liegt darin, dass ich jetzt Linux Mint benutze, davor, als ich die Themes benutzt habe allerdings windows. Ob das stimmt weiß ichallerdings nicht.

    e:// habs rausgefunden, es lag an der rechteverteilung, mit der war wordpress nicht einverstanden. Gibt jetzt noch andere Probleme, aber ich denke das kriege ich auch noch hin, vielen Dank
     
    #8 Tomptez, 20. Januar 2012
    Zuletzt bearbeitet: 21. Januar 2012